# ------------------------------------------------------------------------------
# We have also the use dependencies
#

include(./CheckUseDependencies)

# ------------------------------------------------------------------------------
# Check for needed packages
#

# required

find_package(OpenGL QUIET)
macro_log_feature(  OPENGL_FOUND
                    "OpenGL"
                    "Support the OpenGL Renderer"
                    "http://opengl.org"
                    TRUE "" "" )

find_package(SDL 1.2 QUIET)
macro_log_feature(  SDL_FOUND
                    "SDL"
                    "Communicate with the OS(create a window, input handling)"
                    "http://libsdl.org"
                    TRUE "" "" )

find_package(PhysFS 2.0 QUIET)
macro_log_feature(  PHYSFS_FOUND
                    "PhysFS"
                    "Virtual file system API"
                    "http://developer.nvidia.com/object/cg_toolkit.html"
                    TRUE "" "" )

# optional

find_package(Cg QUIET)
macro_log_feature(  Cg_FOUND
                    "Cg"
                    "C for graphics shader language"
                    "http://icculus.org/physfs/"
                    FALSE "" "" )

# ------------------------------------------------------------------------------
# Set the include paths and the libraries which should be linked
#

set(Gewoopi_BUILD_INCLUDE_DIRS
  ${Gewoopi_USE_INCLUDE_DIRS}
  ${OPENGL_INCLUDE_DIR}
  ${SDL_INCLUDE_DIR}
  ${PHYSFS_INCLUDE_DIR}
  ${Cg_INCLUDE_DIRS}
)

set(Gewoopi_LINK_LIBRARIES
  ${OPENGL_gl_LIBRARY}
  ${SDL_LIBRARY}
  ${PHYSFS_LIBRARY}
  ${Cg_LIBRARY}
  ${Boost_LIBRARIES}
  ole_generator
  xml-sipa
)

# remove duplicate entries
list(REMOVE_DUPLICATES Gewoopi_BUILD_INCLUDE_DIRS)