# ------------------------------------------------------------------------------

include(./MacroLogFeature)

# ------------------------------------------------------------------------------
# Check for needed packages
#

find_package(Boost 1.37 QUIET COMPONENTS
  filesystem
  program_options
  date_time
  iostreams
)

macro_log_feature(  Boost_FOUND
                    "Boost"
                    "Boost (general - header only)"
                    "http://boost.org"
                    TRUE "1.37" "" )
                    
macro_log_feature(  Boost_FILESYSTEM_FOUND
                    "Boost.Filesystem"
                    "Platform independent filesystem access"
                    "http://boost.org"
                    TRUE "1.37" "" )
                    
macro_log_feature(  Boost_PROGRAM_OPTIONS_FOUND
                    "Boost.Program_options"
                    "Powerfull handling of program options"
                    "http://boost.org"
                    TRUE "1.40" "" )
                    
macro_log_feature(  Boost_DATE_TIME_FOUND
                    "Boost.Date_time"
                    "Platformindependent timers and time related calculations"
                    "http://boost.org"
                    TRUE "1.40" "" )
                    
macro_log_feature(  Boost_IOSTREAMS_FOUND
                    "Boost.Iostreams"
                    "Library for implementing standard C++ streams"
                    "http://boost.org"
                    TRUE "1.40" "" )

# ------------------------------------------------------------------------------
# Set the include paths
#

set(Gewoopi_USE_INCLUDE_DIRS
  ${CMAKE_SOURCE_DIR}/include
  ${Boost_INCLUDE_DIRS}
# TODO the following should be moved to ext
  ${CMAKE_SOURCE_DIR}/../xml-sipa/include
  ${CMAKE_SOURCE_DIR}/../open-log-generator/include
  ${CMAKE_SOURCE_DIR}/../tp-tree/include
)

# remove duplicate entries
list(REMOVE_DUPLICATES Gewoopi_USE_INCLUDE_DIRS)