//------------------------------------------------------------------------------
// option.hpp - this file is part of the gewoopi game engine
// (c) copyright 2009 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

/*!
 * @file
 * @brief
 * @details
 * @author Thomas Geymayer <tomgey@gmail.com>
 * @date Date of Creation: 14.09.2009
 */

#ifndef CORE_OPTION_HPP_
#define CORE_OPTION_HPP_

namespace gewoopi
{
namespace core
{

  template <typename T> class Option
  {
    public:

      Option( T value ):
        _value( value )
      {};

      operator T const () const
      { return _value; }

    private:

      T _value;
  };

} // namespace core
} // namespace gewoopi

#endif /* OPTION_HPP_ */
