//------------------------------------------------------------------------------
// std.hpp - this file is part of the gewoopi game engine
// (c) copyright 2009 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

/*!
 * @file
 * @brief Standard include file
 * @details This file contains standard headears and definitions which are used
 * in every file. It should be included in every file.
 * @author Thomas Geymayer <tomgey@gmail.com>
 * @date Date of Creation: 26.09.2009
 */

#ifndef GEWOOPI_STD_HPP_
#define GEWOOPI_STD_HPP_

#include <stdexcept>    // Standard exceptions
#include <fstream>      // Read and write files
#include <vector>       // Dynamic array
#include <map>          // Key => value  pairs

#include <boost/noncopyable.hpp>    // Used to forbid copying of classes

#include <ole_gen/ole_gen.h>        // Logengine

namespace gewoopi
{
  // include the logengine in the gewoopi::log namespace
  namespace log = OpenLog_;
} // namespace gewoopi

#include "types.hpp"    // Standard types
#include "../utilities/singleton.hpp"
#include "../utilities/safe_bool.hpp"

#endif /* GEWOOPI_STD_HPP_ */
