//------------------------------------------------------------------------------
// types.hpp - this file is part of the gewoopi game engine
// (c) copyright 2009 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

/*!
 * @file
 * @brief
 * @details
 * @author Thomas Geymayer <tomgey@gmail.com>
 * @date Date of Creation: 24.09.2009
 */

#ifndef GEWOOPI_TYPES_HPP_
#define GEWOOPI_TYPES_HPP_

#include <string>
#include <boost/filesystem/path.hpp>

#include "../math/types.hpp"

namespace gewoopi
{
namespace core
{

  //----------------------------------------------------------------------------

  using std::string;
  using boost::filesystem::path;

  //----------------------------------------------------------------------------

  // math types

  // floating point
  using math::real;
  using math::real32;
  using math::real64;

  // signed integer
  using math::int8;
  using math::int16;
  using math::int32;
  using math::int64;

  // unsigned integer
  using math::uint8;
  using math::uint16;
  using math::uint32;
  using math::uint64;

} // namespace core
} // namespace gewoopi

#endif /* GEWOOPI_TYPES_HPP_ */
