//------------------------------------------------------------------------------
// gewoopi.hpp - this file is part of the gewoopi game engine
// (c) copyright 2008-2009 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice after this
// header.
//------------------------------------------------------------------------------

/**
 * @file
 * @author Thomas Geymayer <tomgey@gmail.com>
 *
 * @section LICENSE
 *
 *  gewoopi - a multiplatform game engine with an object orientated interface
 *  Copyright (C) 2008-2009 Thomas Geymayer <tomgey@gmail.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @mainpage
 *
 * The gewoopi engine is an game and virtual reality engine which is meant to
 * provide an easy to learn and use, feature rich API. It is also designed to be
 * platformindependent by using different renderers for different platforms.
 * Currently all platforms that are supported by the SDL and OpenGL are also
 * supported by gewoopi.
 *
 * @section Units
 *
 * Be careful if you are used to angles in radiant because in this engine all
 * angles returned or expected by functions are in degrees.
 */

#ifndef GEWOOPI_HPP_
#define GEWOOPI_HPP_

#include <ole_gen/ole_gen.h>

//------------------------------------------------------------------------------
///
/// @brief Root namespace of the engine
///
/// All components are in this namespace. Also the external libs and components
/// developed by TomProgs get wrapped into the gewoopi namespace.

namespace gewoopi {}

#include "core/std.hpp"
#include "core/application.h"
#include "math/math.h"


#endif /* GEWOOPI_HPP_ */
