//------------------------------------------------------------------------------
// float_compare.hpp - this file is part of the gewoopi game engine
// (c) copyright 2009 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

/*!
 * @file
 * @brief Floating point number comparison
 * @details
 * @author Thomas Geymayer <tomgey@gmail.com>
 * @date Date of Creation: 17.10.2009
 */

#ifndef GEWOOPI_FLOAT_COMPARE_HPP_
#define GEWOOPI_FLOAT_COMPARE_HPP_

#include "types.hpp"

namespace gewoopi
{
namespace math
{

  // TODO maybe do some optimizing?
  template<typename T1, typename T2>
  bool isEqual( T1 lhs, T2 rhs, real32 percent = 0.05f )
  {
    if( lhs == rhs )
      return true;

    // * 100 because of conversion to percent
    real64 diff = std::fabs(lhs - rhs) * 100;

    return    (diff/std::fabs(lhs) <= percent)
           && (diff/std::fabs(rhs) <= percent);
  }

} // namespace math
} // namespace gewoopi

#endif /* GEWOOPI_FLOAT_COMPARE_HPP_ */
