//------------------------------------------------------------------------------
// fwd_default.h - this file is part of the gewoopi game engine
// (c) copyright 2009 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

/*!
 * @file: fwd_default.h
 * @brief
 * @details
 * @author Thomas Geymayer <tomgey@gmail.com>
 * @date Date of Creation: 11.06.2009
 */

#ifndef FWD_DEFAULT_H_
#define FWD_DEFAULT_H_

#include <boost/shared_ptr.hpp>
#include <boost/weak_ptr.hpp>

#include <boost/shared_array.hpp>

//------------------------------------------------------------------------------
///
/// @brief Defines default smart pointers for Objekt Type.
///
/// @param TypeName The type for the smart pointers.

#define DEF_SMART_PTR( TypeName )\
  typedef boost::shared_ptr<TypeName> TypeName##Ptr;\
  typedef boost::weak_ptr<TypeName> TypeName##WeakPtr;\
  typedef boost::shared_ptr<const TypeName> TypeName##ConstPtr;\
  typedef boost::weak_ptr<const TypeName> TypeName##ConstWeakPtr;

#define DEF_SMART_PTR_FORWARD( Type, TypeName )\
  Type TypeName; /* Forward declaration */\
  DEF_SMART_PTR(TypeName);

#endif /* FWD_DEFAULT_H_ */
