//------------------------------------------------------------------------------
// loader.hpp - this file is part of the gewoopi game engine
// (c) copyright 2009 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

/*!
 * @file
 * @brief
 * @details
 * @author Thomas Geymayer <tomgey@gmail.com>
 * @date Date of Creation: 22.09.2009
 */

#ifndef GEWOOPI_UTILITIES_LOADER_HPP_
#define GEWOOPI_UTILITIES_LOADER_HPP_

#include "../core/std.hpp"

namespace gewoopi
{
namespace utilities
{

  //----------------------------------------------------------------------------
  ///
  /// Loader
  ///
  /// @brief Base class for file loaders for models, scenes, etc.
  /// @details
  ///
  /// @author <Thomas Geymayer tomgey@gmail.com>
  /// @version <1.0.0>

  template<typename T>
  class Loader
  {
    public:

      //------------------------------------------------------------------------

      typedef boost::shared_ptr<T> Ptr;

      //------------------------------------------------------------------------
      ///
      /// @brief Load a mesh from a file
      ///
      /// @return

      virtual Ptr load( const core::path& file ) = 0;
  };

} // namespace utilities
} // namespace gewoopi

#endif /* GEWOOPI_UTILITIES_LOADER_HPP_ */
