//------------------------------------------------------------------------------
// timer.h - this file is part of the gewoopi game engine
// (c) copyright 2008-2009 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

#ifndef TIMER_H_
#define TIMER_H_

#include <list>
#include <boost/date_time/posix_time/posix_time.hpp>

#include "../core/std.hpp"
#include "fwd_default.h"

namespace gewoopi
{
namespace utilities
{

  DEF_SMART_PTR_FORWARD(class,Timer);

  //--------------------------------------------------------------------
  ///
  /// Timer
  ///
  /// @brief
  /// @details
  ///
  /// @author <Thomas Geymayer tomgey@gmail.com>
  /// @version <0.0.1>

  class Timer
  {
    public:

      //------------------------------------------------------------------------
      ///
      /// @brief Constructor
      ///
      /// @param name The name of the timer

      Timer( const core::string& name );

      //------------------------------------------------------------------------
      ///
      /// @brief Constructor
      ///

      virtual ~Timer();

      //------------------------------------------------------------------------
      ///
      ///

      double getElapsedTime();

    private:

      //------------------------------------------------------------------------

      core::string  _name;
      bool          _paused;
      float         _factor;

      boost::posix_time::time_duration _time;
	    boost::posix_time::ptime  time_start_;

	    std::list<TimerPtr>  _childs;

  };

} // namespace utilities
} // namespace gewoopi

#endif /* TIMER_H_ */
