//------------------------------------------------------------------------------
// utilities.h - this file is part of the gewoopi game engine
// (c) copyright 2008 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

#ifndef GEWOOPI_UTILITIES_H_
#define GEWOOPI_UTILITIES_H_

#include <boost/lexical_cast.hpp>
#include "../core/std.hpp"

#ifdef _DEBUG_
#  define THROW_CHECK_DEBUG( condition, exception ) \
          { if( condition ) throw exception; }
#else
#  define THROW_CHECK_DEBUG( condition, exception ) {}
#endif

namespace gewoopi
{
namespace utilities
{

  template<typename T> inline T setNewReturnOld( T& var, T new_val )
  {
    T old( var );
    var = new_val;
    return old;
  }

  template<typename T> core::string toStr( T val )
  {
    return boost::lexical_cast<core::string>(val);
  }

  core::string toStr( float val, unsigned int prec = 1 );

  void sleep( double seconds );


} // namespace utilities
} // namespace gewoopi

#endif /* GEWOOPI_UTILITIES_H_ */
