//------------------------------------------------------------------------------
// render_target.h - this file is part of the gewoopi game engine
// (c) copyright 2008 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

#ifndef RENDER_TARGET_H_
#define RENDER_TARGET_H_

#include "../math/math.h"

namespace gewoopi
{
namespace video
{

  enum SurfaceFormat
  {
    R8G8B8,
  };


  class RenderTarget
  {
    public:

      RenderTarget( const math::Size2D<int>& size, SurfaceFormat format );

      virtual ~RenderTarget();

      //--------------------------------------------------------------------
      ///
      /// @brief
      ///
      /// @return description of return value

      const math::Size2D<int>& getSize() const;

      //--------------------------------------------------------------------
      ///
      /// @brief load target
      ///
      /// @return description of return value

      virtual bool load() = 0;

    private:

      math::Size2D<int> _size;
      SurfaceFormat     _format;

  };

} // namespace gewoopi
} // namespace video

#endif /* RENDER_TARGET_H_ */
