//------------------------------------------------------------------------------
// vertex.h - this file is part of the gewoopi game engine
// (c) copyright 2008 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

#ifndef VERTEX_H_
#define VERTEX_H_

#include "../math/vector.hpp"

namespace gewoopi
{
namespace video
{

  typedef math::Color3f  Color3;

  class Vertex
  {
    public:
      Vertex();
      Vertex( const math::Vector3f& position,
              const math::Vector3f& normal = math::Vector3f(),
              const Color3& color = Color3::GREEN );
      virtual ~Vertex();

      const math::Vector3f& getPosition() const;
      const math::Vector3f& getNormal() const;
      const Color3& getColor() const;

    private:

      math::Vector3f    _position;
      math::Vector3f    _normal;
      Color3            _color;
  };

}
}

#endif /* VERTEX_H_ */
