//------------------------------------------------------------------------------
// base_button.cpp - this file is part of the gewoopi game engine
// (c) copyright 2009 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

/*!
 * @file
 * @brief
 * @details
 * @author Thomas Geymayer <tomgey@gmail.com>
 * @date Date of Creation: 14.10.2009
 */

#define __SCOPE__ "input"

#include "input/base_button.hpp"

namespace gewoopi
{
namespace input
{

  //----------------------------------------------------------------------------
  BaseButton::BaseButton( const core::string& name ):
    _name( name )
  {
    LOG_STR_INFO_3("Button (" + name + ") created.");
  }

  //----------------------------------------------------------------------------
  BaseButton::~BaseButton()
  {

  }

  //----------------------------------------------------------------------------
  const bool BaseButton::isPressed() const
  {
    return getValue() > 0.2;
  }

  //----------------------------------------------------------------------------
  BaseButton::operator const BaseButton::ValueType() const
  {
    return getValue();
  }

  //----------------------------------------------------------------------------
  const bool BaseButton::operator_bool() const
  {
    return isPressed();
  }

  //----------------------------------------------------------------------------
  const std::string& BaseButton::getName() const
  {
    return _name;
  }

  //----------------------------------------------------------------------------
  void BaseButton::setName( const core::string& name )
  {
    _name = name;
  }

} // namespace input
} // namespace gewoopi
