//------------------------------------------------------------------------------
// button.cpp - this file is part of the gewoopi game engine
// (c) copyright 2009 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

/*!
 * @file: button.cpp
 * @brief
 * @details
 * @author Thomas Geymayer <tomgey@gmail.com>
 * @date Date of Creation: 14.07.2009
 */

#include "input/button.h"
#include "input/physical_button.hpp"

namespace gewoopi
{
namespace input
{

  //----------------------------------------------------------------------------
  Button::Button(const core::string& name ):
    BaseButton( name  )
  {

  }

  //----------------------------------------------------------------------------
  Button::~Button()
  {

  }

  //----------------------------------------------------------------------------
  void Button::add( PhysicalButtonPtr button )
  {
    _buttons.push_back(button);
  }

  //----------------------------------------------------------------------------
  const Button::ValueType Button::getValue() const
  {
    if( _buttons.empty() ) return 0;

    ValueType ret_val = 0;

    for( size_t i = 0; i < _buttons.size(); ++i )
    {
      if( _buttons[i]->getValue() > ret_val )
        ret_val = _buttons[i]->getValue();
    }

    return ret_val;
  }

} // namespace input
} // namespace gewoopi
