//------------------------------------------------------------------------------
// physical_button.cpp - this file is part of the gewoopi game engine
// (c) copyright 2009 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

/*!
 * @file
 * @brief
 * @details
 * @author Thomas Geymayer <tomgey@gmail.com>
 * @date Date of Creation: 14.10.2009
 */

#include "input/physical_button.hpp"

namespace gewoopi
{
namespace input
{

  //----------------------------------------------------------------------------
  PhysicalButton::PhysicalButton( const core::string& name, ValueType value ):
    BaseButton( name ),
    _value( value )
  {

  }

  //----------------------------------------------------------------------------
  PhysicalButton::~PhysicalButton()
  {

  }

  //----------------------------------------------------------------------------
  const PhysicalButton::ValueType PhysicalButton::getValue() const
  {
    return _value;
  }

  //----------------------------------------------------------------------------
  void PhysicalButton::setValue( const ValueType value )
  {
    _value = value;
  }

  //----------------------------------------------------------------------------
  void PhysicalButton::addValue( const ValueType value )
  {
    _value += value;
  }

} // namespace input
} // namespace gewoopi
