//------------------------------------------------------------------------------
// constants.cpp - this file is part of the gewoopi game engine
// (c) copyright 2009 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

/*!
 * @file
 * @brief
 * @details
 * @author Thomas Geymayer <tomgey@gmail.com>
 * @date Date of Creation: 16.10.2009
 */

#include "math/constants.hpp"
#include "math/types.hpp"

#define DEF_CONSTANT(type, name, value)\
  template<> const type name() { return value; }

namespace gewoopi
{
namespace math
{

  DEF_CONSTANT(real32, pi,      3.14159265f )
  DEF_CONSTANT(real32, epsilon, 1e-4        )

  DEF_CONSTANT(real64, pi,      3.1415926535897932384626433832795   )
  DEF_CONSTANT(real64, epsilon, 1e-8                                )

} // namespace math
} // namespace gewoopi
