/*
 * timer.cpp
 *
 *  Created on: 13.10.2008
 *      Author: tom
 */

#include "utilities/timer.h"

namespace gewoopi
{
namespace utilities
{

  namespace b_time = boost::posix_time;

  //--------------------------------------------------------------------
  Timer::Timer( const core::string& name ):
    _name( name ),
    time_start_   ( b_time::microsec_clock::local_time() )
  {

  }

  //--------------------------------------------------------------------
  Timer::~Timer()
  {

  }

  //--------------------------------------------------------------------
  double Timer::getElapsedTime()
  {
    (b_time::microsec_clock::local_time() - time_start_);
    return
      (b_time::microsec_clock::local_time() - time_start_)
        .total_microseconds() / 1000000.f;
  }

} // namespace utilities
} // namespace gewoopi
