//------------------------------------------------------------------------------
// utilities.cpp - this file is part of the gewoopi game engine
// (c) copyright 2008 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

/*!
 * @file: utilities.cpp
 * @brief
 * @details
 * @author Thomas Geymayer <tomgey@gmail.com>
 * @date Date of Creation: 14.05.2009
 */

#include <sstream>
#include <boost/thread.hpp>

#include "utilities/utilities.h"

namespace gewoopi
{
namespace utilities
{

  std::string toStr( float val, unsigned int prec )
  {
    std::ostringstream strm;
    strm.setf(std::ios::fixed, std::ios::floatfield);
    strm.precision(prec);

    strm << val;
    return strm.str();
  }

  void sleep( double seconds )
  {
    boost::this_thread::sleep(
      boost::posix_time::time_duration(
        boost::posix_time::microseconds( seconds * 1000000.f ) ) );
  }

} // namespace utilities
} // namespace gewoopi
