//------------------------------------------------------------------------------
// material.cpp - this file is part of the gewoopi game engine
// (c) copyright 2009 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

/*!
 * @file
 * @brief
 * @details
 * @author Thomas Geymayer <tomgey@gmail.com>
 * @date Date of Creation: 27.09.2009
 */

#include "video/material.hpp"

namespace gewoopi
{
namespace video
{

  //----------------------------------------------------------------------------
  Material::Material( math::Color4f const& diffuse,
                      math::Color4f const& ambient,
                      math::Color4f const& specular,
                      math::Color4f const& emissive,
                      core::real32 power ):
    _diffuse( diffuse ),
    _ambient( ambient ),
    _specular( specular ),
    _emissive( emissive ),
    _power( power )
  {}

  //----------------------------------------------------------------------------
  math::Color4f const& Material::getDiffuse() const
  {
    return _diffuse;
  }

  //----------------------------------------------------------------------------
  math::Color4f const& Material::getAmbient() const
  {
    return _ambient;
  }

  //----------------------------------------------------------------------------
  math::Color4f const& Material::getSpecular() const
  {
    return _specular;
  }

  //----------------------------------------------------------------------------
  math::Color4f const& Material::getEmissive() const
  {
    return _emissive;
  }

  //----------------------------------------------------------------------------
  core::real32 Material::getPower() const
  {
    return _power;
  }

} // namespace video
} // namespace gewoopi
