//------------------------------------------------------------------------------
// renderer.cpp - this file is part of the gewoopi game engine
// (c) copyright 2008 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

#include "video/renderer.h"
#include "utilities/utilities.h"

namespace gewoopi
{
namespace video
{

  //----------------------------------------------------------------------------
  Renderer::Renderer()
  {

  }

  //----------------------------------------------------------------------------
  Renderer::~Renderer()
  {

  }

  //----------------------------------------------------------------------------
  RenderTarget* Renderer::setRenderTarget( RenderTarget *target )
  {
    return utilities::setNewReturnOld( _render_target, target);
  }

  //----------------------------------------------------------------------------
  math::Color3f Renderer::setClearColor( const math::Color3f& color )
  {
    return utilities::setNewReturnOld( _clear_color, color );
  }

  //----------------------------------------------------------------------------
  void Renderer::setCamera( scene::CameraPtr camera )
  {
    _camera = camera;
  }

} // namespace gewoopi
} // namespace video
