//------------------------------------------------------------------------------
// vertex.cpp - this file is part of the gewoopi game engine
// (c) copyright 2008 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

#include "video/vertex.h"

namespace gewoopi
{
namespace video
{

  //----------------------------------------------------------------------------
  Vertex::Vertex()
  {

  }

  //----------------------------------------------------------------------------
  Vertex::Vertex( const math::Vector3f& position,
                  const math::Vector3f& normal,
                  const Color3& color ):
    _position( position ),
    _normal( normal ),
    _color( color )
  {

  }

  //----------------------------------------------------------------------------
  Vertex::~Vertex()
  {

  }

  //----------------------------------------------------------------------------
  const math::Vector3f& Vertex::getPosition() const
  {
    return _position;
  }

  //----------------------------------------------------------------------------
  const math::Vector3f& Vertex::getNormal() const
  {
    return _normal;
  }

  //----------------------------------------------------------------------------
  const Color3& Vertex::getColor() const
  {
    return _color;
  }

}
}
