//------------------------------------------------------------------------------
// window.cpp - this file is part of the gewoopi game engine
// (c) copyright 2008 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

#include "video/window.h"
#include "input/manager.h"

namespace gewoopi
{
namespace video
{

  //----------------------------------------------------------------------------
  Window::Window( const math::Size2D<int>& size,
                  SurfaceFormat format ):
    RenderTarget( size, format ),
    _alive      ( false ),
    _caption    ( "GEWOOPI - 3D Game Engine" )
  {

  }

  //----------------------------------------------------------------------------
  Window::~Window()
  {

  }

  //----------------------------------------------------------------------------
  void Window::setCaption( const core::string& caption, bool force )
  {
    if( _caption == caption && !force ) return;

    _caption = caption;
    updateCaption( _caption );
  }

  //----------------------------------------------------------------------------
  const std::string& Window::getCaption() const
  {
    return _caption;
  }

  //----------------------------------------------------------------------------
  const bool Window::isAlive() const
  {
    return _alive;
  }

} // namespace gewoopi
} // namespace video
