//------------------------------------------------------------------------------
// angles.cpp - this file is part of the gewoopi game engine
// (c) copyright 2009 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

/*!
 * @file
 * @brief
 * @details
 * @author Thomas Geymayer <tomgey@gmail.com>
 * @date Date of Creation: 26.10.2009
 */

#include "std_test.hpp"

#include <gewoopi/math/math.h>

BOOST_AUTO_TEST_CASE( Angles_Testing )
{
  using gewoopi::math::Degreef;
  using gewoopi::math::Radianf;
  using gewoopi::math::pi;

  const float max_close = 0.001f;

  //----------------------------------------------------------------------------

  // 180 (deg->rad) == pi (rad)
  BOOST_CHECK_CLOSE( Radianf(Degreef(180)).getValue(),
                     pi<gewoopi::math::real32>(), max_close );
  // pi (rad->deg) == 180 (deg)
  BOOST_CHECK_CLOSE( Degreef(Radianf(pi<gewoopi::math::real32>())).getValue(),
                     180.f, max_close );
}
