//------------------------------------------------------------------------------
// mesh.cpp - this file is part of the gewoopi game engine
// (c) copyright 2009 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

/*!
 * @file
 * @brief
 * @details
 * @author Thomas Geymayer <tomgey@gmail.com>
 * @date Date of Creation: 19.10.2009
 */

#include "std_test.hpp"

#include <gewoopi/scene/mesh.hpp>

BOOST_AUTO_TEST_CASE( Mesh_Create )
{
  using gewoopi::scene::Mesh;
  using gewoopi::scene::MeshPtr;
  using gewoopi::math::Vector3f;
  using gewoopi::math::Ray3f;

  const float max_close = 0.001f;

  //----------------------------------------------------------------------------
  // Lets start with a simple cube
  //

  MeshPtr cube( Mesh::createCube(1) );
  cube->calculateCollisionData();

  gewoopi::math::real32 dist = 17;

  BOOST_CHECK( !cube->hit(Ray3f(Vector3f(0,0,2), Vector3f(1,1,1)), &dist) );
  BOOST_CHECK( cube->hit(Ray3f(Vector3f(0,0,2), Vector3f(0,0,-1)), &dist) );
  BOOST_CHECK_CLOSE( dist, 1.5f, max_close );
}
